from odoo import fields, models

class PickingType(models.Model):
    _inherit = "stock.picking"

    # Secuencia para renumerar el stock.picking luego de una transferencia
    # Es opcional, por lo tanto, puede servirnos para cuando son Delivery Orders
    # y dependen del Warehouse, por lo tanto, podemos tener para varias sucursales
    packages_quant = fields.Integer(string='Cantidad de bultos', required=False)
    packages_kgs = fields.Float(string='Peso', required=False)

class PickingType(models.Model):
    _inherit = "stock.picking.type"

    # Secuencia para renumerar el stock.picking luego de una transferencia
    # Es opcional, por lo tanto, puede servirnos para cuando son Delivery Orders
    # y dependen del Warehouse, por lo tanto, podemos tener para varias sucursales
    cai_number = fields.Char(string='Número de CAI', required=False)
    cai_date = fields.Date(string='Fecha de CAI', required=False)
