odoo.define('custom_repair.repair_order_kanban', function (require) {
    "use strict";

    var KanbanRecord = require('web.KanbanRecord');
    var core = require('web.core');
    var QWeb = core.qweb;

    KanbanRecord.include({
        /*selector: '.o_hr_attendance_sign_in_out_icon',
        events: {
            'click': '_onClick',
        },*/
        /*
        events: _.extend({}, KanbanRecord.prototype.events, {
            'click .btn-primary': '_onOpenRepairOrderWizard',
        }),*/

        events: _.extend({}, KanbanRecord.prototype.events, {
            'click .btn-custom-kanban': '_onOpenRepairOrderWizard',
        }),

        _onOpenRepairOrderWizard: function (event) {
            event.preventDefault();
            var self = this;
            console.log('self: ', self);
            
            return this.do_action({
                type: 'ir.actions.act_window',
                res_model: 'repair.order',
                views: [[false, "form"]],
                view_id: 'custom_view_repair_order_form',
                target: 'current',
                res_id: self.id,
            });
        },
    });
});