odoo.define('mail.many2one_full_avatar_user', function (require) {
    "use strict";

    var fieldRegistry = require('web.field_registry');
    var FieldMany2One = require('web.relational_fields').FieldMany2One;
    //var FieldMany2OneAvatarUser = fieldRegistry.get('many2one_avatar_user');

    var FieldMany2OneFullAvatarUser = FieldMany2One.extend({
        _render: function () {
            this._super.apply(this, arguments);
            if (this.value) {
                //var userName = this.recordData.display_name;
                var userName = this.recordData[this.name].data.display_name || this.recordData[this.name].display_name;
                var badgeHtml = '<span class="m2x_user_badge m2x_user_badge-primary">' + userName + '</span>';
                this.$el.empty().append(badgeHtml);
                //this.$el.find('.o_field_many2one_avatar').text(badgeHtml);
            }
        },
    });

    fieldRegistry.add('many2one_full_avatar_user', FieldMany2OneFullAvatarUser);
});